%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-grunt-legacy-util
Version:    0.2.0
Release:    6%{?dist}
Summary:    Deprecated Grunt utils provided for backwards compatibility
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/gruntjs/grunt-legacy-util
Source0:    https://registry.npmjs.org/grunt-legacy-util/-/grunt-legacy-util-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(async)
BuildRequires:  npm(exit)
BuildRequires:  npm(getobject)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(hooker)
BuildRequires:  npm(lodash)
BuildRequires:  npm(temporary)
BuildRequires:  npm(underscore.string)
BuildRequires:  npm(which)
%endif

%description
%{summary}.


%prep
%setup -q -n package

%nodejs_fixdep async '^1.5.0'
%nodejs_fixdep lodash '^3.10.1'
%nodejs_fixdep underscore.string '~2.3.1'
%nodejs_fixdep which '^1.2.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-util
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/grunt-legacy-util

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif


%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-util


%changelog
* Mon Jan 18 2016 Tom Hughes <tom@compton.nu> - 0.2.0-6
- Enable tests

* Mon Jan 18 2016 Tom Hughes <tom@compton.nu> - 0.2.0-5
- Update npm(which) dependency

* Tue Dec 15 2015 Tom Hughes <tom@compton.nu> - 0.2.0-4
- Enable tests

* Mon Dec 14 2015 Tom Hughes <tom@compton.nu> - 0.2.0-3
- Update npm(lodash) dependency

* Sun Nov 22 2015 Tom Hughes <tom@compton.nu> - 0.2.0-2
- Enable tests

* Sat Nov 21 2015 Tom Hughes <tom@compton.nu> - 0.2.0-1
- Update to 0.2.0 upstream release
- Update npm(async) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.2-1
- initial package
